iTunes 6.0?

Posted by:
Date: Wednesday, October 12th, 2005, 12:25
Category: Uncategorized

Someone posted a screenshot on flickr of an error dialog that he received in iTunes saying “This item requires at least iTunes version 6.0 to purchase.” Go get the link from Digg and check out the comments. Some are calling it a fake…

So I open up iTunes, do a search for “Death Cab for Cutie”, and click on the “add to cart” button below “iTunes Originals – Death Cab for Cutie”. Then, I get that message.


Someone posted a screenshot on flickr of an error dialog that he received in iTunes saying “This item requires at least iTunes version 6.0 to purchase.” Go get the link from Digg and check out the comments. Some are calling it a fake…

So I open up iTunes, do a search for “Death Cab for Cutie”, and click on the “add to cart” button below “iTunes Originals – Death Cab for Cutie”. Then, I get that message.

Recent Posts

Comments are closed.